View Issue Details

IDProjectCategoryView StatusLast Update
0003194SymmetricDSBugpublic2017-08-14 10:43
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.27 
Target Version3.8.29Fixed in Version3.8.29 
Summary0003194: SymmetricDS fails to start on multi-homed installations using the exact same db.url
DescriptionThis is caused by: 0003163: Detect situations where there are invalid copies of engines.properties files in the engines directory.

This improvement introduced an issue for multi-homed installations that point at the same Oracle instance. This fix will consider both the db.user and db.url for purposes of comparison.
TagsNo tags attached.

Activities

mmichalek

2017-07-31 14:49

administrator   ~0001070

This was supposed to be committed for 3.8.28 but was not committed until 3.8.29.

Related Changesets

SymmetricDS: 3.8 5ee6080f

2017-07-31 15:12:46

mmichalek

Details Diff
0003194: SymmetricDS fails to start on multi-homed installations using
the exact same db.url

0003194
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File

Issue History

Date Modified Username Field Change
2017-07-11 09:56 mmichalek New Issue
2017-07-11 09:56 mmichalek Status new => assigned
2017-07-11 09:56 mmichalek Assigned To => mmichalek
2017-07-14 09:39 chenson Project SymmetricDS Pro => SymmetricDS
2017-07-17 13:30 mmichalek Status assigned => resolved
2017-07-17 13:30 mmichalek Resolution open => fixed
2017-07-17 13:30 mmichalek Fixed in Version => 3.8.28
2017-07-19 16:24 chenson Status resolved => closed
2017-07-31 14:49 mmichalek Note Added: 0001070
2017-07-31 14:49 mmichalek Status closed => feedback
2017-07-31 14:49 mmichalek Resolution fixed => reopened
2017-07-31 14:50 mmichalek Status feedback => resolved
2017-07-31 14:50 mmichalek Resolution reopened => fixed
2017-07-31 14:50 mmichalek Fixed in Version 3.8.28 => 3.8.29
2017-07-31 14:50 mmichalek Target Version 3.8.28 => 3.8.29
2017-07-31 16:00 mmichalek Changeset attached => SymmetricDS 3.8 5ee6080f
2017-08-14 10:43 chenson Status resolved => closed